package cn.efunbox.audio.impl;

import cn.efunbox.audio.entity.Audio;
import cn.efunbox.audio.entity.Record;
import cn.efunbox.audio.repository.AudioRepo;
import cn.efunbox.audio.repository.RecordRepo;
import cn.efunbox.audio.service.AudioService;
import cn.efunbox.audio.service.RecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Service
public class RecordServiceImpl implements RecordService {

    @Autowired
    RecordRepo recordRepo;

    @Override
    public List<Record> SearchById(Long id){
        List<Record> list = recordRepo.findById(id);
        return list;
    }

    @Override
    public List<Record> SearchByIdChannel(Long id){
        List<Record> list = recordRepo.findByIdChannel(id);
        return list;
    }

    @Override
    public List<Record> SearchByIdDevice(Long id){
        List<Record> list = recordRepo.findByIdDevice(id);
        return list;
    }

    @Override
    public List<Record> SearchByIdAudio(Long id){
        List<Record> list = recordRepo.findByIdAudio(id);
        return list;
    }

    @Override
    public Record Insert(Record r){
        r = recordRepo.save(r);
        return r;
    }


}
