package cn.efunbox.audio;

import cn.efunbox.audio.entity.Device;
import cn.efunbox.audio.service.DeviceService;
import cn.efunbox.audio.util.ApiCode;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class AudioApplicationTests {

	@Autowired
	private DeviceService deviceService;

	@Test
	public void contextLoads() {
		for(int i=0;i<10;i++){
			String uuid = UUID.randomUUID().toString().replaceAll("-", "");
			System.out.println(uuid);
		}
	}

	@Test
	public void register(){
		Device device = deviceService.Register(Long.valueOf(1), Long.valueOf(1));
		if(device==null){
			System.out.println("fail to register");
			return;
		}
		System.out.println(device.toString());

	}

}
